##########################################################
##################  所有profile共有的配置  #################
##########################################################

###################  自定义配置  ###################

application:
  default-password: 123456
  upload-file-limit-bytes : 5242880

bcxin:
  muti-datasource-open: true #是否开启多数据源(true/false)

###################  spring配置  ###################
spring:
  profiles:
    active: @spring.profiles.active@
  mvc:
    view:
      prefix: /WEB-INF/jsp/views
      suffix: .jsp
    http:
      multipart:
        max-file-size: 8MB
        max-request-size: 30MB
    application:
      name: bi

###################  mybatis-plus配置  ###################
mybatis-plus:
  mapper-locations: classpath:/mybatis/**/*Mapper.xml
  typeAliasesPackage: >
    com.bcxin.bi
  global-config:
    id-type: 2  # 0:数据库ID自增   1:用户输入id  2:全局唯一id(IdWorker)  3:全局唯一ID(uuid)
    field-strategy: 1
    db-column-underline: false
    refresh-mapper: true
    capital-mode: false
  configuration:
    map-underscore-to-camel-case: false
    cache-enabled: true #配置的缓存的全局开关
    lazyLoadingEnabled: true #延时加载的开关
    multipleResultSetsEnabled: true #开启的话，延时加载一个属性时会加载该对象全部属性，否则按需加载属性

logging:
  level:
    org.springframework.web.servlet: ERROR
